 Difficult to modify nodes of contiguous polygons 
Status: Closed

Priority: Normal

Assignee:

Category:

Pull Request or Patch supplied:No Resolution: worksforme

Easy fix?: No Copied to github as #: 19362

Description

in edit mode

node considered is not always that of the selected polygon

see the attachment

see also : #10234

Related issues:

Related to QGIS Application - Feature request # 3752: Clicking inside the pol... Open

Related to QGIS Application - Bug report # 10234: Difficult to edit nodes of ... Closed 2014-05-12

History

#1 - 2014-08-08 12:36 AM - Jürgen Fischer

- Resolution set to worksforme

- Status changed from Open to Closed

The feature selection in the layer doesn't have a role in the node tool.  When you click near a node the nodes of the feature are highlighted.  In this case it's

not the same feature as the feature selected in the layer.

#2 - 2014-08-08 02:02 AM - Alain FERRATON

I wanted to say that it is a pity that the object selection plays no role in selecting nodes.

if polygons are contiguous, it is unclear to see to which polygon belongs the node and it is even more problematic if there are superimposed nodes

belonging to each polygon.

There may be another solution to propose than using the selected polygon ?

#3 - 2015-10-22 12:21 AM - Arnaud Morvan

Pull request proposed: https://github.com/qgis/QGIS/pull/2388

The user can select the feature to edit by clicking inside the polygon.
